Bug 2170 - Suggestions for improvement
Suggestions for improvement
Status: RESOLVED WONTFIX
Product: OJS
Classification: Unclassified
Component: General
2.x
All All
: P3 enhancement
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-08 12:52 PDT by Ramon Fonseca
Modified: 2013-05-29 14:56 PDT (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ramon Fonseca 2006-05-08 12:52:31 PDT
Dear Fellas,

Here are some ideas of improvement we consider important to the system, to be
more compliant with Scientific Groups all over the world, as they may help
provide information necessary to qualify journals for harvestign, quality
control, etc. Please comment on this as you may find other possible solutions or
argue/discuss the need for these items.

1 - Article Citation and Reference Input mechanismo for Authors and Editorial
Team (allowing for indexing, cross-referencing and other services to be provided
by future harvesters...)
2 - Customizable Review Form (we are planning to learn to do this with Alec when
he comes!)
3 - Discipline Form Field in Journal Configuration For classification purposes
during Harvesting
6 - Institution Form Field in Journal Configuration For classification purposes
during Harvesting 
5 - Allow Editorial team to define specific dates for:
 - Edition Publication Date
 - Article Publication Date
 - Article Submission Date
 allowing an easier previous edition publication via interface (no XML required!)
Comment 1 Ramon Fonseca 2009-12-04 12:10:15 PST
Hello all,

More suggestions, hopefully you'll read them.
I could try to compile them all into one if you'd like...

Improvements to the About page:
- When creating links to the About page, some CSS could add borders, highlights or some other mechanism to create a visual feedback. On short pages and large screens, anchors are not enough, as there is no space to scroll down and the page anchor has visually no effect, although it is there.

- Allow managers to order custom/all items in the about page as they see fit.

- Page could be dismembered, displaying only the content desired, or all if the user clicks on a link. Some items are too short while other are very long, and when reading sometimes we miss the content. This would include a new click, but may provide a cleaner interface.
Comment 2 Alec Smecher 2013-05-29 14:56:39 PDT
Zombie entry; Superseded by 3.0 UI work.